/*****************************************************************************/
/* This code is part of the Jarol project: jarol.cs.uni-salzburg.at          */
/*                                                                           */
/* Copyright (c) 2006-2007 Eduardo Marques                                   */
/*                                                                           */
/* This program is free software; you can redistribute it and/or modify      */
/* it under the terms of the GNU General Public License as published by      */
/* the Free Software Foundation; either version 2 of the License, or         */
/* (at your option) any later version.                                       */
/*                                                                           */
/* This program is distributed in the hope that it will be useful,           */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of            */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the              */
/* GNU General Public License for more details.                              */
/*                                                                           */
/* You should have received a copy of the GNU General Public License         */
/* along with this program; if not, write to the Free Software Foundation,   */
/* Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.        */
/*                                                                           */
/*****************************************************************************/

package jarol.messages;

/**
 * Message footer interface. Each message group has its own way of encoding
 * the footer, if it defines a footer.
 *
 * The footer is optional but if it exists for a message set, it may 
 * be used to encode message checksums.
 *
 * @author Eduardo Marques
 * @version 0.1
 */
public interface MessageFooter extends MessagePart {
  /**
   * Set check sum field.
   * @param csum the value of the check sum to set.
   */
  public void setChecksum(long csum);
  /**
   * Get check sum field.
   * @return the value of the check sum field
   */
  public long getChecksum();
}
